<template>
  <div>
    <div class="-mbl">
      <p>Collapses on small screens:</p>
      <gp-collapsible-toolbar :items="items.items" :hidden="items.hidden" />
    </div>
    <div class="-mbl">
      <p>Collapses on medium screens:</p>
      <gp-collapsible-toolbar :items="items.items" :hidden="items.hidden" breakpoint="medium" />
    </div>
    <div>
      <p>Collapses on large screens:</p>
      <gp-collapsible-toolbar :items="items.items" :hidden="items.hidden" breakpoint="large" />
    </div>
  </div>
</template>

<script>
import GpCollapsibleToolbar from '@/vue/common/CollapsibleToolbar/CollapsibleToolbar.vue'

export default {
  components: { GpCollapsibleToolbar },
  data () {
    return {
      items: {
        items: [
          { icon: 'home', caption: 'Click me', showCaption: true, onclick: () => { window.alert('Oh, you!') } },
          'separator',
          { icon: 'user-plus', caption: 'Add something' },
          { icon: 'user-minus', caption: 'Add something' },
          'separator',
          { icon: 'arrow-bend-right-down', caption: 'Implant' },
          { icon: 'arrow-bend-right-up', caption: 'Remove', variant: 'canceling' },
          'separator', // Gets removed when not collapsed
        ],
        hidden: [
          { icon: 'pencil', caption: 'Edit' },
          { icon: 'trash', caption: 'Destroy', variant: 'destructive' },
        ],
      },
    }
  },
}
</script>
